Bug 233890 - dns/nsd: Fails to build with DNSTAP option enabled
Summary: dns/nsd: Fails to build with DNSTAP option enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-09 14:28 UTC by r00t
Modified: 2018-12-14 11:52 UTC (History)
1 user (show)

See Also:
jaap: maintainer-feedback+
jaap: merge-quarterly?


Attachments
Patch to fix problem (1.20 KB, patch)
2018-12-10 14:16 UTC, Jaap Akkerhuis
jaap: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description r00t 2018-12-09 14:28:08 UTC
Hello,

% uname -a
FreeBSD SRV-SYNTH 11.2-RELEASE-p5 FreeBSD 11.2-RELEASE-p5 #0 r341363: Sun Dec  2 12:35:44 CET 2018     r00t@SRV-SYNTH:/usr/obj/usr/src/sys/BSD112017110501PHY  amd64

% svnlite info /usr/ports | grep Rev
Revision: 487038
Last Changed Rev: 487038

Trying to build the latest NSD 4.1.26 with dnstap support enabled:

--- configlexer.o ---
cc -I/usr/local/include -I. -O2 -pipe  -fstack-protector -fno-strict-aliasing  -W -Wall -Wextra -Wdeclaration-after-statement -I/usr/local/include/google -c configlexer.c
--- options.o ---
cc -I/usr/local/include -I. -O2 -pipe  -fstack-protector -fno-strict-aliasing  -W -Wall -Wextra -Wdeclaration-after-statement -I/usr/local/include/google -c ./options.c
--- dns.o ---
cc -I/usr/local/include -I. -O2 -pipe  -fstack-protector -fno-strict-aliasing  -W -Wall -Wextra -Wdeclaration-after-statement -I/usr/local/include/google -c ./dns.c
--- zonec.o ---
cc -I/usr/local/include -I. -O2 -pipe  -fstack-protector -fno-strict-aliasing  -W -Wall -Wextra -Wdeclaration-after-statement -I/usr/local/include/google -c ./zonec.c
--- dnstap.o ---
cc -I/usr/local/include -I. -O2 -pipe  -fstack-protector -fno-strict-aliasing  -W -Wall -Wextra -Wdeclaration-after-statement -I/usr/local/include/google -c ./dnstap/dnstap.c
./dnstap/dnstap.c:322:10: error: no member named 'ss_family' in 'struct sockaddr_in'; did you mean 'sin_family'?
        if (ss->ss_family == AF_INET) {
                ^~~~~~~~~
                sin_family
/usr/include/netinet/in.h:97:14: note: 'sin_family' declared here
        sa_family_t     sin_family;
                        ^
1 error generated.
*** [dnstap.o] Error code 1

make[1]: stopped in /construction/xports/dns/nsd/work/nsd-4.1.26
1 error

make[1]: stopped in /construction/xports/dns/nsd/work/nsd-4.1.26
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /xports/dns/nsd
Comment 1 Jaap Akkerhuis 2018-12-10 14:16:23 UTC
Created attachment 200008 [details]
Patch to fix problem

An apparent typo, here is a patch to fix
Comment 2 commit-hook freebsd_committer 2018-12-10 16:29:14 UTC
A commit references this bug:

Author: swills
Date: Mon Dec 10 16:28:27 UTC 2018
New revision: 487182
URL: https://svnweb.freebsd.org/changeset/ports/487182

Log:
  dns/nsd: Fix build with DNSTAP option enabled

  PR:		233890
  Submitted by:	jaap@NLnetLabs.nl (maintainer)
  Reported by:	r00t@kaba1ah.org

Changes:
  head/dns/nsd/Makefile
  head/dns/nsd/files/patch-dnstap_dnstap.c
Comment 3 Steve Wills freebsd_committer 2018-12-10 16:30:03 UTC
Committed, thanks!
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 11:46:40 UTC
(In reply to jaap from comment #1)

Is the quarterly version of the port/package affected? If so, please re-open and set merge-quarterly to ?